## plasma-widget-networkmanagement 0.1~svn1141976

=== CMakeLists.txt ===
project(plasma-networkmanagement)

option(INSTALL_KNM_AUTOSTART "Install the autostart file for knetworkmanager. Warning: This prevents the plasmoid from working properly")


find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)
include(TestBigEndian)

#indicate endianness to hashing functions
TEST_BIG_ENDIAN(BIGENDIAN)
if (BIGENDIAN)
#can't just place WORDS_BIGENDIAN in TEST_BIGENDIAN as our code uses #ifndef
   set(WORDS_BIGENDIAN 1)
endif (BIGENDIAN)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

#include(ConfigureChecks.cmake)

macro_optional_find_package(NetworkManager)

macro_log_feature(NETWORKMANAGER_FOUND "NetworkManager headers" "User controllable networking" "http://projects.gnome.org/NetworkManager" FALSE "0.7" "Needed for NetworkManager support in Network Management")
if (NETWORKMANAGER_FOUND)
macro_ensure_version( "0.7.0" ${NETWORKMANAGER_VERSION} NM_0_7)
macro_ensure_version( "0.7.1" ${NETWORKMANAGER_VERSION} NM_0_7_1)
find_package(GLIB2 REQUIRED)

configure_file(backends/NetworkManager/config-nm07backend.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/backends/NetworkManager/config-nm07backend.h )

if (NM_0_7)

include_directories(
   ${NETWORKMANAGER_INCLUDE_DIRS}
   ${NM-UTIL_INCLUDE_DIRS}
   ${GLIB2_INCLUDE_DIR}
   ${CMAKE_CURRENT_BUILD_DIR}
)

add_subdirectory(applet)
add_subdirectory(backends)
add_subdirectory(libs)
add_subdirectory(tests)
add_subdirectory(settings)
add_subdirectory(vpnplugins)
add_subdirectory(solidcontrolfuture)
add_subdirectory(monolithic)
add_subdirectory(kded)

install( FILES networkmanagement.notifyrc DESTINATION ${DATA_INSTALL_DIR}/networkmanagement )

if (DBUS_SYSTEM_POLICY_DIR)
install( FILES NetworkManager-kde4.conf DESTINATION ${DBUS_SYSTEM_POLICY_DIR})
else (DBUS_SYSTEM_POLICY_DIR)
message(STATUS "It is necessary to specify the directory where the client policy file for NetworkManager-kde4 is installed as DBUS_SYSTEM_POLICY_DIR.  Normally this is /etc/dbus-1/system.d on a Linux system")
endif (DBUS_SYSTEM_POLICY_DIR)

else(NM_0_7)
      macro_log_feature(NM_0_7 "NetworkManager ${NETWORKMANAGER_VERSION}" "NetworkManager is a daemon for user controlled networking" "http://www.gnome.org/projects/NetworkManager")
endif(NM_0_7)
endif(NETWORKMANAGER_FOUND)

if(INSTALL_KNM_AUTOSTART)
	message("Installing autostart file for knm, use cmake -DINSTALL_KNM_AUTOSTART=ON to switch it on. Note that this will break the plasmoid. For this to work, make sure the kded DBus service is NOT loaded.")
endif(INSTALL_KNM_AUTOSTART)

macro_display_feature_log()

=== applet/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libs/client
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ui
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/../libs/internals
   )

set(networkmanager_SRCS
    networkmanager.cpp

    nmpopup.cpp
    activatablelistwidget.cpp

    interfaceitem.cpp
    wirelessinterfaceitem.cpp
    vpninterfaceitem.cpp
    interfacedetailswidget.cpp

    activatableitem.cpp
    interfaceconnectionitem.cpp
    wirelessnetworkitem.cpp
    hiddenwirelessnetworkitem.cpp
    wirelessstatus.cpp
    )

kde4_add_plugin(plasma_applet_networkmanagement ${networkmanager_SRCS})
target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol ${KDE4_KUTILS_LIBRARY})

install(TARGETS plasma_applet_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(icons)

# We only install the theme for the version where it isn't in SVN
macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
if (NOT IS45)
    install(FILES
        network.svgz
        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/)
endif (NOT IS45)

=== libs/externals/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/..
   )

# next target: dbus interfaces library
set(knmconnection_SRCS
    connectable.cpp
    interfaceconnection.cpp
    wirelessinterfaceconnection.cpp
    wirelessnetworkitem.cpp
    )

qt4_add_dbus_adaptor(
    knmconnection_SRCS
    interfaces/org.kde.networkmanagement.connectable.xml
    connectable.h
    Knm::Externals::Connectable
)

qt4_add_dbus_adaptor(
    knmconnection_SRCS
    interfaces/org.kde.networkmanagement.interfaceconnection.xml
    interfaceconnection.h
    Knm::Externals::InterfaceConnection
)

qt4_add_dbus_adaptor(
    knmconnection_SRCS
    interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml
    wirelessinterfaceconnection.h
    Knm::Externals::WirelessInterfaceConnection
)

qt4_add_dbus_adaptor(
    knmconnection_SRCS
    interfaces/org.kde.networkmanagement.wirelessnetworkitem.xml
    wirelessnetworkitem.h
    Knm::Externals::WirelessNetworkItem
)

kde4_add_library(
    knmexternals SHARED ${knmconnection_SRCS}
)

target_link_libraries(knmexternals ${KDE4_KDECORE_LIBS} solidcontrol)

set_target_properties(knmexternals PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )

install(TARGETS knmexternals ${INSTALL_TARGETS_DEFAULT_ARGS})

=== settings/config/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51013)

include_directories(../../libs)
include_directories(../../libs/internals)
include_directories(../../libs/ui)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../libs/internals)

## next target: connection editor KCM

set(kcm_networkmanagement_SRCS
   # UI logic
   addeditdeletebuttonset.cpp
   manageconnectionwidget.cpp
)
#kde4_add_kcfg_files(kcm_knetworkmanager_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/storage/knmserviceprefs.kcfgc)

kde4_add_ui_files(kcm_networkmanagement_SRCS manageconnectionwidget.ui menutooltipsettingswidget.ui traysettings.ui)
kde4_add_plugin(kcm_networkmanagement ${kcm_networkmanagement_SRCS})

target_link_libraries(kcm_networkmanagement knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})

## next target: tray config KCM

set(kcm_networkmanagement_tray_SRCS
   addeditdeletebuttonset.cpp
   managetraywidget.cpp
   menutooltipsettingswidget.cpp
   traysettingswidget.cpp
   )

kde4_add_ui_files(kcm_networkmanagement_tray_SRCS storage.ui menutooltipsettingswidget.ui traysettings.ui)
kde4_add_plugin(kcm_networkmanagement_tray ${kcm_networkmanagement_tray_SRCS})

target_link_libraries(kcm_networkmanagement_tray knminternals ${KDE4_KDEUI_LIBS})

install(TARGETS kcm_networkmanagement kcm_networkmanagement_tray DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_networkmanagement.desktop kcm_networkmanagement_tray.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== vpnplugins/vpnc/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/ui)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals)

set(vpnc_SRCS
   vpnc.cpp
   vpncwidget.cpp
   )

kde4_add_ui_files(vpnc_SRCS vpncprop.ui)

kde4_add_plugin(networkmanagement_vpncui ${vpnc_SRCS})

target_link_libraries(networkmanagement_vpncui ${KDE4_KIO_LIBS} knminternals knmui)

install(TARGETS networkmanagement_vpncui  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES networkmanagement_vpncui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-networkmanagement (0.1~svn1141976-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: pino
    - Last Changed Rev: 1141976
    - Last Changed Date: 2010-06-24 00:51:12 +0200

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Jun 2010 03:52:15 +0200

plasma-widget-networkmanagement (0.1~svn1133205-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1133205
    - Last Changed Date: 2010-06-01 10:39:08 +0200
  * debian/control
    - Drop Build-Depends on libknotificationitem-1-dev which was merged and
      renamed in kde4libs 4.4. (Closes: #584360)
  * debian/rules
    - Set -DINSTALL_KNM_AUTOSTART=ON to enable installation of knetworkmanager
      autostart file.
  * Re-add plasma-widget-networkmanagement package.
  * Move the networkmanagement kded module from knm-runtime to
    plasma-widget-networkmanagement. The kded service is not used by
    knetworkmanager and actually breaks knetworkmanager due to being
    auto-loaded and claiming the NetworkManagerUserSettings bus name.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Jun 2010 12:39:10 +0200

plasma-widget-networkmanagement (0.1~svn1125524-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: lvsouza
    - Last Changed Rev: 1125524
    - Last Changed Date: 2010-05-11 18:34:09 +0200
    - Fixes placement of the systray applet context menu. (Closes: #580530)
  * debian/patches/01-qt4.5-compat.patch
    - Drop the Qt 4.5 compat patch again now that we have a recent enough
      version in unstable and testing.
  * debian/control
    - Bump Build-Depends on libqt4-dev to (>= 4:4.6.0).
    - Bump Build-Depends on kdelibs5-dev and kdebase-workspace-dev to
      (>= 4:4.4.0)
  * debian/knm-runtime.install
    - Simplify install file by using wildcards where appropriate.
    - Install new strongswan VPN plugin.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 May 2010 02:02:57 +0200

plasma-widget-networkmanagement (0.1~svn1088283-1) unstable; urgency=medium

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1088283
    - Last Changed Date: 2010-02-10 14:11:26 +0100

  [ Michael Biebl ]
  * debian/patches/01-qt4.5-compat.patch
    - Remove Qt 4.6 specific features so it compiles with Qt 4.5.
  * debian/control
    - Lower Build-Depends on libqt4-dev to (>= 4:4.5.0).
    - Bump Standards-Version to 3.8.4. No further changes.
  * Drop the plasma-widget-networkmanagement binary package for now as it not
    yet stable enough. Add Conflicts to network-manager-kde so it is removed
    on upgrades.

  [ Modestas Vainius ]
  * Enable parallel building - pass --parallel to dh.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Feb 2010 14:46:25 +0100

plasma-widget-networkmanagement (0.1~svn1075616-1) experimental; urgency=low

  [ Modestas Vainius ]
  * Remove DMUA field from debian/control. I'm a DD now.

  [ Michael Biebl ]
  * Add myself to Uploaders with Modestas' consent.
  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1075616
    - Last Changed Date: 2010-01-16 12:54:07 +0100

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Jan 2010 11:06:58 +0100

plasma-widget-networkmanagement (0.1~svn1054632-1) experimental; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1054632
    - Last Changed Date: 2009-11-26 13:23:17 +0200
  * Bump network-manager-kde version to 0.9~.
  * Switch to dpkg-source format 3.0 (quilt).
  * Update svn URL in debian/copyright.
  * Update install files.
  * Make plasma-widget-networkmanagement no longer pull in network-manager-kde.
    However, the widget itself is not very usable at the moment.
  * Bump libqt4-dev build dependency to 4.6.0~.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 26 Nov 2009 23:39:48 +0200

plasma-widget-networkmanagement (0.1~svn1029786-1) experimental; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: wstephens
    - Last Changed Rev: 1029786
    - Last Changed Date: 2009-09-30 21:29:12 +0300
  * Use debhelper kde addon, bump build dependencies accordingly.
  * Update install files.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 01 Oct 2009 20:37:01 +0300

plasma-widget-networkmanagement (0.1~svn1013816-1) experimental; urgency=low

  * New upstream development snapshot:
   - Last Changed Author: dfaure
   - Last Changed Rev: 1013816
   - Last Changed Date: 2009-08-20 22:54:58 +0300
  * Bump Standards-Version to 3.8.3, no changes needed.
  * Update knm-runtime.install.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 21 Aug 2009 23:44:23 +0300

plasma-widget-networkmanagement (0.1~svn1007929-1) experimental; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: wstephens
    - Last Changed Rev: 1007929
    - Last Changed Date: 2009-08-06 17:32:52 +0300
  * Build depend on libknotificationitem-1-dev.
  * Do not run tests.
  * Update installed files.
  * Build depend on KDE 4.3 (final).
  * Add network-manager-kde and knm-runtime packages:
    - network-manager-kde package is based on the one from the previous
      knetworkmanager debian source package.
      - take over of this binary package was granted by knetworkmanager
        maintainer (Michael Biebl); 
      - moved to the section net;
      - recommends / custom depends moved to the knm-runtime package;
      - bump version of this binary package to 1:0.8~... to enable
        upgrades from the previous package.
    - knm-runtime contains knetworkmanager and plasmoid runtime files:
      - section net;
      - recommend kwalletmanager and network-manager plugins;
      - recommend either network-manager-kde or plasma widget;
      - replaces previous plasma-widget-networkmanagement.
      - force shlibs to = binary:Version.


=== debian/control ===
Source: plasma-widget-networkmanagement
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modestas@vainius.eu>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.6.0), kdelibs5-dev (>= 4:4.4.0), kdebase-workspace-dev (>= 4:4.4.0),
 network-manager-dev (>= 0.7.0), libnm-util-dev (>= 0.7.0)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/plasma-widget-networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/plasma-widget-networkmanagement.git

Package: network-manager-kde
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: plasma-widget-networkmanagement
Provides: knetworkmanager
Description: KDE system tray applet for controlling NetworkManager
 System tray applet for controlling network connections managed by
 NetworkManager. It is mainly written for KDE but also works for other desktop
 environments like GNOME or Xfce.

Package: plasma-widget-networkmanagement
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdebase-workspace-bin
Conflicts: plasma-applet-networkmanager
Replaces: plasma-applet-networkmanager
Description: Network Management widget for KDE4 Plasma
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks.  Currently, the only
 supported backend is NetworkManager.  Support for wired, wireless, GSM
 and VPN networks are provided.  The widget is exclusively written for Plasma
 and KDE4 and it is not supposed to work in other environments.
 .
 This widget needs Plasma shell to be usable. Main KDE 4 Plasma shell is
 available in the kdebase-workspace-bin package. The user friendly name of the
 widget is "Network Management" (in e.g. "Add Widgets" dialog).

Package: knm-runtime
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0)
Replaces: plasma-widget-networkmanagement (<< 0.1~svn1005432)
Recommends: kwalletmanager, network-manager-vpnc, network-manager-openvpn, network-manager-pptp
Description: KDE NetworkManagement infrastructure runtime files
 This package contains runtime libraries and binaries needed by both
 network-manager-kde (knetworkmanager) and plasma-widget-networkmanagement
 packages. Currently, it provides interface to NetworkManager and the KDE4
 Control Module (kcm) for managing/storing network settings (to be used by
 either of the two support applications later).
 .
 It is possible to use this package without its frontends (either
 network-manager-kde or plasma-widget-networkmanagement). It enables
 notifications under KDE but actual network management functions will be very
 limited.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, network-manager-kde (= ${knetworkmanager:Version})
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.

=== debian/rules ===
#!/usr/bin/make -f

# DEB_KDE_LINK_WITH_AS_NEEDED ?= yes

ifneq (,$(shell which tg))
QUILT_PATCH_DIR := debian/patches
include /usr/share/topgit/tg2quilt.mk
endif

DEB_BINARY_VERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
DEB_KNETWORKMANAGER_VERSION := $(shell echo '$(DEB_BINARY_VERSION)' | sed 's/^[[:digit:].]\+/1:0.9/')

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d -DINSTALL_KNM_AUTOSTART=ON

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_makeshlibs:
	dh_makeshlibs -pknm-runtime -V'knm-runtime (= $(DEB_BINARY_VERSION))'
	dh_makeshlibs --remaining-packages

override_dh_gencontrol:
	dh_gencontrol -pnetwork-manager-kde -- -v'$(DEB_KNETWORKMANAGER_VERSION)' \
        -V'knetworkmanager:Version=$(DEB_KNETWORKMANAGER_VERSION)'
	dh_gencontrol --remaining-packages -- \
        -V'knetworkmanager:Version=$(DEB_KNETWORKMANAGER_VERSION)'

%:
	dh --parallel --with kde --dbg-package=plasma-widget-networkmanagement-dbg $@

.PHONY: override_dh_auto_test

## plasma-widget-networkmanagement 0.9~svn1029786+ag1

=== applet/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/../libs/client
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
   )

add_subdirectory(pics)

set(networkmanager_SRCS
    networkmanager.cpp

    nmextenderitem.cpp
    activatablelistwidget.cpp

    interfaceitem.cpp
    wiredinterfaceitem.cpp
    wirelessinterfaceitem.cpp

    activatableitem.cpp
    interfaceconnectionitem.cpp
    wirelessnetworkitem.cpp
    )

kde4_add_ui_files(networkmanager_SRCS nmConfig.ui )

if(NOT I_KNOW_WHAT_IM_DOING)
   set(networkmanager_SRCS applet_wip.cpp)
   message(STATUS "Compiling dummy plasmoid because the real one is still work in progress...")
endif(NOT I_KNOW_WHAT_IM_DOING)

kde4_add_plugin(plasma_applet_networkmanagement ${networkmanager_SRCS})
target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol)

install(TARGETS plasma_applet_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES networkmanagement.svg networkmanagement-wireless.svgz DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/networkmanagement/)

=== monolithic/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51014)

add_subdirectory(icons)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
   ${CMAKE_CURRENT_BINARY_DIR}/../libs/internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/service
   ${CMAKE_CURRENT_SOURCE_DIR}/../backends/NetworkManager
   )


set(monolithic_SRCS

   main.cpp

   # base client code
   monolithic.cpp

   # tray icon
   knetworkmanagertrayicon.cpp

   # base widget for activatables
   activatableitem.cpp

   # subclasses for Activatable subtypes
   interfaceconnectionitem.cpp
   unconfiguredinterfaceitem.cpp
   wirelessinterfaceconnectionitem.cpp
   vpninterfaceconnectionitem.cpp
   wirelessnetworkitem.cpp

   # helper class for wireless UI elements
   wirelessstatus.cpp

   # helper class
   tooltipbuilder.cpp

   # other networks dialog
   otherwirelessnetworkdialog.cpp
   )

kde4_add_ui_files(monolithic_SRCS otherwirelessnetworkwidget.ui)

kde4_add_executable(knetworkmanager ${monolithic_SRCS})


if (${KDE_VERSION} VERSION_LESS "4.3.67")
   set(KNOTIFICATIONITEM_LIB "knotificationitem-1")
endif (${KDE_VERSION} VERSION_LESS "4.3.67")

target_link_libraries(knetworkmanager
   ${KDE4_KDECORE_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${KNOTIFICATIONITEM_LIB}
   knminternals
   knmservice
   knm_nm
   solidcontrol
   )

install(TARGETS knetworkmanager ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES knetworkmanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES kde4-knetworkmanager-autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

=== po/CMakeLists.txt ===
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hr )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( wa )
add_subdirectory( zh_TW )

=== settings/CMakeLists.txt ===
add_subdirectory(config)
add_subdirectory(configshell)
#add_subdirectory(service)

=== vpnplugins/CMakeLists.txt ===
add_subdirectory(openvpn)
add_subdirectory(pptp)
add_subdirectory(vpnc)

=== backends/NetworkManager/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51020)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals/settings
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/service
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/ui
   ${CMAKE_CURRENT_SOURCE_DIR}/settings
   ${CMAKE_CURRENT_BINARY_DIR}
   )

## next target: internals layer library

set(knm_nm_LIB_SRCS
   connectiondbus.cpp

   settingdbus.cpp

   pbkdf2.cpp
   wephash.cpp

   settings/802-11-wireless-securitydbus.cpp

   settings/802-11-wirelessdbus.cpp

   settings/802-3-ethernetdbus.cpp

   settings/802-1xdbus.cpp

   settings/gsmdbus.cpp

   settings/cdmadbus.cpp

   settings/ipv4dbus.cpp

   settings/pppdbus.cpp

   settings/pppoedbus.cpp

   settings/serialdbus.cpp

   settings/vpndbus.cpp

   nmdbussettingsservice.cpp

   busconnection.cpp

   #org.freedesktop.NetworkManagerSettings.Connection
   exportedconnection.cpp
   
   #org.freedesktop.NetworkManagerSettings.Connection.Secrets
   exportedconnectionsecrets.cpp

   nmdbusactiveconnectionmonitor.cpp

   nm-active-connectioninterface.cpp

   nmdbussettingsconnectionprovider.cpp

   remoteconnection.cpp
   nm-settingsinterface.cpp
   nm-exported-connectioninterface.cpp
)

kde4_add_library(knm_nm SHARED ${knm_nm_LIB_SRCS})

target_link_libraries(knm_nm ${KDE4_KDEUI_LIBS} solidcontrol knminternals knmservice knmui ${QT_QTNETWORK_LIBRARY})


#set_target_properties(nmbackend PROPERTIES
#   VERSION ${GENERIC_LIB_VERSION}
#   SOVERSION ${GENERIC_LIB_SOVERSION}
#   )
install(TARGETS knm_nm ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/internals/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51010)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../../solidcontrolfuture
   )

## next target: internals layer library

set(knminternals_SRCS
   connection.cpp
   #connectiondbus.cpp
   connectionpersistence.cpp

   setting.cpp
   #settingdbus.cpp
   settingpersistence.cpp

   #settings/pbkdf2.cpp
   #settings/wephash.cpp

   settings/802-11-wireless-security.cpp
   #settings/802-11-wireless-securitydbus.cpp
   settings/802-11-wireless-securitypersistence.cpp

   settings/802-11-wireless.cpp
   #settings/802-11-wirelessdbus.cpp
   settings/802-11-wirelesspersistence.cpp

   settings/802-3-ethernet.cpp
   #settings/802-3-ethernetdbus.cpp
   settings/802-3-ethernetpersistence.cpp

   settings/802-1x.cpp
   #settings/802-1xdbus.cpp
   settings/802-1xpersistence.cpp

   settings/gsm.cpp
   #settings/gsmdbus.cpp
   settings/gsmpersistence.cpp

   settings/cdma.cpp
   #settings/cdmadbus.cpp
   settings/cdmapersistence.cpp

   settings/ipv4.cpp
   #settings/ipv4dbus.cpp
   settings/ipv4persistence.cpp

   settings/ppp.cpp
   #settings/pppdbus.cpp
   settings/ppppersistence.cpp

   settings/pppoe.cpp
   #settings/pppoedbus.cpp
   settings/pppoepersistence.cpp

   settings/serial.cpp
   #settings/serialdbus.cpp
   settings/serialpersistence.cpp

   settings/vpn.cpp
   #settings/vpndbus.cpp
   settings/vpnpersistence.cpp

   activatable.cpp
   interfaceconnection.cpp
   interfaceconnectionhelpers.cpp
   hiddenwirelessinterfaceconnection.cpp
   wirelessinterfaceconnection.cpp
   wirelessinterfaceconnectionhelpers.cpp
   wirelessobject.cpp
   wirelessnetwork.cpp
   unconfiguredinterface.cpp
   vpninterfaceconnection.cpp
   vpninterfaceconnectionhelpers.cpp

   # helper class for recognising the type of WPA secrets
   wpasecretidentifier.cpp

   # helper class for identifying wireless security
   wirelesssecurityidentifier.cpp

   # helper functions for storing tooltip keys and UI strings
   tooltips.cpp
   )

kde4_add_kcfg_files(knminternals_SRCS knmserviceprefs.kcfgc)

kde4_add_library(knminternals SHARED ${knminternals_SRCS})

target_link_libraries(knminternals solidcontrolfuture ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} solidcontrol ${QT_QTNETWORK_LIBRARY})

set_target_properties(knminternals PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )
install(TARGETS knminternals ${INSTALL_TARGETS_DEFAULT_ARGS})

set(kconfig_compiler_SRCS kconfig_compiler.cpp)

kde4_add_executable(knm_compiler NOGUI RUN_UNINSTALLED ${kconfig_compiler_SRCS})

target_link_libraries(knm_compiler  ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} )

=== libs/ui/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51012)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/..
   ${CMAKE_CURRENT_SOURCE_DIR}/../internals
   ${CMAKE_CURRENT_BINARY_DIR}/security
   ${CMAKE_CURRENT_BINARY_DIR}/../internals
   )
## next target: ui library

set(knmui_SRCS
   cdmawidget.cpp
   gsmwidget.cpp
   pppwidget.cpp
   pppoewidget.cpp
   security/securitywidget.cpp
   settinginterface.cpp
   settingwidget.cpp
   connectionwidget.cpp
   ipv4widget.cpp
   ipv4advancedwidget.cpp
   wiredwidget.cpp
   802_11_wirelesswidget.cpp
   accesspoint.cpp
   apitemdelegate.cpp
   apitemmodel.cpp
   apitemview.cpp
   ifaceitemmodel.cpp
   scanwidget.cpp

   # top level wireless security widget
   security/wirelesssecuritysettingwidget.cpp
   security/nullsecuritywidget.cpp
   security/wepwidget.cpp
   security/securityleap.cpp
   security/wpapskwidget.cpp
   security/securitydynamicwep.cpp
   security/securitywired8021x.cpp
   # base UI for 802.1x
   security/securityeap.cpp
   # WPA-EAP
   security/wpaeapwidget.cpp
   security/eapmethod.cpp
   security/eapmethodstack.cpp
   security/eapmethodsimple.cpp
   # intermediate subclass for eap methods that use inner auth
   security/eapmethodinnerauth.cpp

   security/eapmethodleap.cpp
   security/ttlswidget.cpp
   security/peapwidget.cpp
   security/tlswidget.cpp

   vpnuiplugin.cpp
   connectionprefs.cpp
   gsmconnectioneditor.cpp
   cdmaconnectioneditor.cpp
   pppoepreferences.cpp
   vpnpreferences.cpp
   wiredpreferences.cpp
   wirelesspreferences.cpp
   connectioneditor.cpp
   connectionsecretsjob.cpp
   
   simpleipv4addressvalidator.cpp
   listvalidator.cpp
   editlistdialog.cpp
   )

kde4_add_ui_files(knmui_SRCS
   #security.ui

   # Settings
   cdma.ui
   gsm.ui
   ppp.ui
   pppoe.ui
   connection.ui
   wired.ui
   ipv4.ui
   ipv4advanced.ui
   802-11-wireless.ui

   # Scan widget for wireless
   scanwidget.ui

   # base wireless security type selector
   security/wirelesssecurity.ui
   # wireless security type specific UIs
   security/wep.ui
   security/leap.ui
   security/wpapsk.ui
   #   WPA-EAP - a stack of eap methods UI
   #   Used for both inner and outer auth methods
   security/eapmethodstackbase.ui

   # simple eap methods eg MD5 and *AP UI
   security/eapmethodsimplebase.ui
   # LEAP
   security/eapmethodleapbase.ui
   # PEAP
   security/eapmethodpeapbase.ui
   # TLS
   security/eapmethodtlsbase.ui
   # TTLS
   security/eapmethodttlsbase.ui
   )

kde4_add_library(knmui SHARED ${knmui_SRCS})
target_link_libraries(knmui knminternals ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol)

set_target_properties(knmui PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )
install(TARGETS knmui ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES networkmanagement_vpnuiplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== settings/config/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 set(kcm_networkmanagement_SRCS
    # UI logic
-   addeditdeletebuttonset.cpp
    manageconnectionwidget.cpp
 )
 #kde4_add_kcfg_files(kcm_knetworkmanager_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/storage/knmserviceprefs.kcfgc)
@@ -23,7 +22,6 @@
 ## next target: tray config KCM
 
 set(kcm_networkmanagement_tray_SRCS
-   addeditdeletebuttonset.cpp
    managetraywidget.cpp
    menutooltipsettingswidget.cpp
    traysettingswidget.cpp

=== settings/service/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/dbus
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/ui
   ${CMAKE_CURRENT_SOURCE_DIR}/../../backends/NetworkManager
   )
   ## next target: test service

set(kded_networkmanagement_SRCS
   datamappings.cpp
   service.cpp
   busconnection.cpp
   connectionsecretsjob.cpp
   exportedconnection.cpp
   #kconfigtoservice.cpp
   #networksettings.cpp
   )

kde4_add_kcfg_files(kded_networkmanagement_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals/knmserviceprefs.kcfgc)

qt4_add_dbus_adaptor(kded_networkmanagement_SRCS org.kde.networkmanagement.xml kconfigtoservice.h KConfigToService knetworkmanagerserviceadaptor KNetworkManagerServiceAdaptor )

kde4_add_plugin(kded_networkmanagement ${kded_networkmanagement_SRCS})
target_link_libraries(kded_networkmanagement knmdbus knminternals knmui ${KDE4_KUTILS_LIBS} solidcontrol knm_nm)

install(TARGETS kded_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES knetworkmanager.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
